import { SchemaInitializerItemOptions } from '@nocobase/client';
import { SchemaConfig, SchemaConfigButton } from './SchemaConfig';
import { ModeConfig } from './ModeConfig';
import { AssigneesSelect } from './AssigneesSelect';
declare const _default: {
    title: string;
    type: string;
    group: string;
    description: string;
    fieldset: {
        assignees: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            'x-component-props': {};
            required: boolean;
            default: any[];
        };
        mode: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            default: number;
            'x-reactions': {
                dependencies: string[];
                fulfill: {
                    state: {
                        visible: string;
                    };
                };
            };
        };
        schema: {
            type: string;
            title: string;
            'x-decorator': string;
            'x-component': string;
            properties: {
                schema: {
                    type: string;
                    'x-component': string;
                    default: any;
                };
            };
        };
        forms: {
            type: string;
            default: {};
        };
    };
    view: {};
    scope: {};
    components: {
        SchemaConfigButton: typeof SchemaConfigButton;
        SchemaConfig: typeof SchemaConfig;
        ModeConfig: typeof ModeConfig;
        AssigneesSelect: typeof AssigneesSelect;
    };
    useVariables({ id, title, config }: {
        id: any;
        title: any;
        config: any;
    }, { types, fieldNames }: {
        types: any;
        fieldNames?: {
            readonly label: "label";
            readonly value: "value";
            readonly children: "children";
        };
    }): {
        value: string;
        label: any;
        children: {
            key: string;
            value: string;
            label: any;
            title: any;
            children: import("../../variable").VariableOption[];
        }[];
    };
    useInitializers(node: any): SchemaInitializerItemOptions | null;
    initializers: {};
};
export default _default;
