'use strict';

var workflows = require('./workflows');
var nodes = require('./nodes');
var executions = require('./executions');

function _interopNamespace(e) {
  if (e && e.__esModule) return e;
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var workflows__namespace = /*#__PURE__*/_interopNamespace(workflows);
var nodes__namespace = /*#__PURE__*/_interopNamespace(nodes);
var executions__namespace = /*#__PURE__*/_interopNamespace(executions);

function make(name, mod) {
  return Object.keys(mod).reduce(
    (result, key) => ({
      ...result,
      [`${name}:${key}`]: mod[key]
    }),
    {}
  );
}
function actions_default({ app }) {
  app.actions({
    ...make("workflows", workflows__namespace),
    ...make("workflows.nodes", {
      create: nodes__namespace.create,
      destroy: nodes__namespace.destroy
    }),
    ...make("flow_nodes", {
      update: nodes__namespace.update
    }),
    ...make("executions", executions__namespace)
  });
}

module.exports = actions_default;
