'use strict';

var evaluators = require('@nocobase/evaluators');
var utils = require('@nocobase/utils');
var constants = require('../constants');

var calculation_default = {
  async run(node, prevJob, processor) {
    const { dynamic = false } = node.config || {};
    let { engine = "math.js", expression = "" } = node.config;
    let scope = processor.getScope(node.id);
    if (dynamic) {
      const parsed = utils.parse(dynamic)(scope) ?? {};
      engine = parsed.engine;
      expression = parsed.expression;
      scope = utils.parse(node.config.scope ?? "")(scope) ?? {};
    }
    const evaluator = evaluators.evaluators.get(engine);
    try {
      const result = evaluator && expression ? evaluator(expression, scope) : null;
      return {
        result,
        status: constants.JOB_STATUS.RESOLVED
      };
    } catch (e) {
      return {
        result: e.toString(),
        status: constants.JOB_STATUS.ERROR
      };
    }
  }
};

module.exports = calculation_default;
