'use strict';

var path = require('path');
var utils = require('@nocobase/utils');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var path__default = /*#__PURE__*/_interopDefault(path);

function instructions_default(plugin, more = {}) {
  const { instructions } = plugin;
  const natives = [
    "calculation",
    "condition",
    "parallel",
    "loop",
    "delay",
    "manual",
    "query",
    "create",
    "update",
    "destroy",
    "aggregate",
    "request",
    "sql"
  ].reduce(
    (result, key) => Object.assign(result, {
      [key]: utils.requireModule(path__default.default.isAbsolute(key) ? key : path__default.default.join(__dirname, key))
    }),
    {}
  );
  for (const [name, instruction] of Object.entries({ ...more, ...natives })) {
    instructions.register(
      name,
      typeof instruction === "function" ? new instruction(plugin) : instruction
    );
  }
}

module.exports = instructions_default;
