'use strict';

async function create_default(instance, { collection }, processor) {
  const repo = this.plugin.db.getRepository(collection);
  if (!repo) {
    throw new Error(`collection ${collection} for create data on manual node not found`);
  }
  const { _, ...form } = instance.result;
  const [values] = Object.values(form);
  await repo.create({
    values: {
      ...values ?? {},
      createdBy: instance.userId,
      updatedBy: instance.userId
    },
    context: {
      executionId: processor.execution.id
    },
    transaction: processor.transaction
  });
}

module.exports = create_default;
