'use strict';

async function update_default(instance, { collection, filter = {} }, processor) {
  const repo = this.plugin.db.getRepository(collection);
  if (!repo) {
    throw new Error(`collection ${collection} for update data on manual node not found`);
  }
  const { _, ...form } = instance.result;
  const [values] = Object.values(form);
  await repo.update({
    filter: processor.getParsedValue(filter, instance.nodeId),
    values: {
      ...values ?? {},
      updatedBy: instance.userId
    },
    context: {
      executionId: processor.execution.id
    },
    transaction: processor.transaction
  });
}

module.exports = update_default;
