'use strict';

var __ = require('..');

var sql_default = {
  async run(node, input, processor) {
    const { sequelize } = node.constructor.database;
    const sql = processor.getParsedValue(node.config.sql ?? "", node.id).trim();
    if (!sql) {
      return {
        status: __.JOB_STATUS.RESOLVED
      };
    }
    const result = await sequelize.query(sql, {
      transaction: processor.transaction
      // plain: true,
      // model: db.getCollection(node.config.collection).model
    });
    return {
      result,
      status: __.JOB_STATUS.RESOLVED
    };
  }
};

module.exports = sql_default;
