'use strict';

var constants = require('../constants');

var update_default = {
  async run(node, input, processor) {
    const { collection, params = {} } = node.config;
    const repo = node.constructor.database.getRepository(collection);
    const options = processor.getParsedValue(params, node.id);
    const result = await repo.update({
      ...options,
      context: {
        executionId: processor.execution.id
      },
      transaction: processor.transaction
    });
    return {
      result: result.length ?? result,
      status: constants.JOB_STATUS.RESOLVED
    };
  }
};

module.exports = update_default;
