'use strict';

var server = require('@nocobase/server');

class condition_calculation_default extends server.Migration {
  async up() {
    const match = await this.app.version.satisfies("<0.9.0-alpha.3");
    if (!match) {
      return;
    }
    const NodeRepo = this.context.db.getRepository("flow_nodes");
    await this.context.db.sequelize.transaction(async (transaction) => {
      const nodes = await NodeRepo.find({
        filter: {
          type: "condition"
        },
        transaction
      });
      console.log("%d nodes need to be migrated.", nodes.length);
      await nodes.reduce(
        (promise, node) => promise.then(() => {
          return node.update(
            {
              config: {
                ...node.config,
                engine: "basic"
                // calculation: migrateConfig(node.config.calculation)
              }
            },
            {
              transaction
            }
          );
        }),
        Promise.resolve()
      );
    });
  }
}

module.exports = condition_calculation_default;
