'use strict';

var database = require('@nocobase/database');
var server = require('@nocobase/server');

class jsonb_to_json_default extends server.Migration {
  async up() {
    const match = await this.app.version.satisfies("<0.9.0-alpha.3");
    if (!match) {
      return;
    }
    const sequelize = this.sequelize;
    const queryInterface = this.queryInterface;
    const { db } = this.app;
    await sequelize.transaction(async (transaction) => {
      await queryInterface.changeColumn(
        db.getCollection("workflows").model.getTableName(),
        "config",
        {
          type: database.DataTypes.JSON
        },
        { transaction }
      );
      await queryInterface.changeColumn(
        db.getCollection("flow_nodes").model.getTableName(),
        "config",
        {
          type: database.DataTypes.JSON
        },
        { transaction }
      );
      await queryInterface.changeColumn(
        db.getCollection("executions").model.getTableName(),
        "context",
        {
          type: database.DataTypes.JSON
        },
        { transaction }
      );
      await queryInterface.changeColumn(
        db.getCollection("jobs").model.getTableName(),
        "result",
        {
          type: database.DataTypes.JSON
        },
        { transaction }
      );
    });
  }
}

module.exports = jsonb_to_json_default;
