'use strict';

var server = require('@nocobase/server');

class workflow_options_default extends server.Migration {
  async up() {
    const match = await this.app.version.satisfies("<0.11.0-alpha.2");
    if (!match) {
      return;
    }
    const { db } = this.context;
    const WorkflowRepo = db.getRepository("flow_nodes");
    await db.sequelize.transaction(async (transaction) => {
      const workflows = await WorkflowRepo.find({
        transaction
      });
      await workflows.reduce(
        (promise, workflow) => promise.then(() => {
          workflow.set("options", {
            useTransaction: workflow.get("useTransaction")
          });
          workflow.changed("options", true);
          return workflow.save({
            silent: true,
            transaction
          });
        }),
        Promise.resolve()
      );
    });
  }
}

module.exports = workflow_options_default;
