'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utils = require('@nocobase/utils');
var path = require('path');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var path__default = /*#__PURE__*/_interopDefault(path);

class Trigger {
  constructor(plugin) {
    this.plugin = plugin;
  }
}
function triggers_default(plugin, more = {}) {
  const { triggers } = plugin;
  triggers.register("collection", new (utils.requireModule(path__default.default.join(__dirname, "collection")))(plugin));
  triggers.register("form", new (utils.requireModule(path__default.default.join(__dirname, "form")))(plugin));
  triggers.register("schedule", new (utils.requireModule(path__default.default.join(__dirname, "schedule")))(plugin));
  for (const [name, TClass] of Object.entries(more)) {
    triggers.register(name, new TClass(plugin));
  }
}

exports.Trigger = Trigger;
exports.default = triggers_default;
